## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate dirs

Name:           rust-%{crate}
Version:        4.0.0
Release:        %autorelease
Summary:        Platform abstractions for common directories

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/dirs
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Tiny low-level library that provides platform-specific standard locations of
directories for config, cache and other data on Linux, Windows, macOS and Redox
by leveraging the mechanisms defined by the XDG base/user directory
specifications on Linux, the Known Folder API on Windows, and the Standard
Directory guidelines on macOS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Nov 08 2021 Fabio Valentini <decathorpe@gmail.com> 4.0.0-1
- Update to version 4.0.0; Fixes RHBZ#2004757

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 13 2021 Fabio Valentini <decathorpe@gmail.com> - 3.0.2-1
- Update to version 3.0.2.
- Fixes RHBZ#1953116

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 18 15:06:45 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.0.1-1
- Update to 3.0.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jul 28 21:24:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 12:35:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.1-1
- Update to 1.0.5

* Thu Feb 28 2019 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Sat Feb 09 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-4
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 09 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.4-2
- Adapt to new packaging

* Thu Sep 27 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Tue Sep 18 2018 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Initial package

